Package org.apache.torque.util.functions

## Class SumTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.torque.util.functions.SumTest

- All Implemented Interfaces:
    `junit.framework.Test`

      public class SumTest
      extends junit.framework.TestCase

  Tests the Sum class
  Version:
    $Id: SumTest.java 1448414 2013-02-20 21:06:35Z tfischer $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testSetFunction()` | tests that setFunction throws a
    `void` | `testSum()` | Tests the sum constructor with a column returns the correct SQL.
    `void` | `testSumFromString()` | Tests the sum constructor with a column returns the correct SQL.
    `void` | `testSumWithDistinct()` | Tests the sum constructor with distinct returns the correct SQL.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SumTest

          public SumTest()

  - ### Method Detail

    - #### testSum

          public void testSum()

      Tests the sum constructor with a column returns the correct SQL.

    - #### testSumFromString

          public void testSumFromString()

      Tests the sum constructor with a column returns the correct SQL.

    - #### testSumWithDistinct

          public void testSumWithDistinct()

      Tests the sum constructor with distinct returns the correct SQL.

    - #### testSetFunction

          public void testSetFunction()

      tests that setFunction throws a